using System.Text.Json.Serialization;
using System.Collections.Generic;
using Topsdk.Util;

namespace Topsdk.Top.Ability3197.Domain;

public class TaobaoTbkRtaConsumerMatchResultlist
{

    /*
        活动id
    */
    private string? offerId;


    /*
        活动状态：1-符合活动要求，2-淘客无活动权限，3-用户不匹配活动，4-系统异常，5-活动不存在
    */
    private string? status;


    /*
        推广链接
    */
    private string? clickUrl;


    /*
        微信小程序路径
    */
    private string? wxMiniprogramPath;


    /*
        微信小程序码
    */
    private string? wxQrcodeUrl;



    [JsonPropertyName("offer_id")]
    public string? OfferId
    {
        get => offerId;
        set => this.offerId = value;
    }

    [JsonPropertyName("status")]
    public string? Status
    {
        get => status;
        set => this.status = value;
    }

    [JsonPropertyName("click_url")]
    public string? ClickUrl
    {
        get => clickUrl;
        set => this.clickUrl = value;
    }

    [JsonPropertyName("wx_miniprogram_path")]
    public string? WxMiniprogramPath
    {
        get => wxMiniprogramPath;
        set => this.wxMiniprogramPath = value;
    }

    [JsonPropertyName("wx_qrcode_url")]
    public string? WxQrcodeUrl
    {
        get => wxQrcodeUrl;
        set => this.wxQrcodeUrl = value;
    }

}

